void saveToFlash(){
   TCA9548A(2);
  mainDisplay.clearDisplay();
  mainDisplay.setTextSize(2);
  mainDisplay.setCursor(10,10);
  mainDisplay.println("SAVING");
  mainDisplay.setCursor(10,30);
  mainDisplay.println("TO FLASH");
  mainDisplay.display();
  saveToNVS();
    delay(1000); 
  mainDisplay.clearDisplay();
  mainDisplay.setTextSize(1.5);
  mainDisplay.setCursor(15,2);
  mainDisplay.print("DESIGNERTRONICS");
  if(blueTooth==1){
  mainDisplay.setTextSize(2);
  mainDisplay.setCursor(95,15);
  mainDisplay.print("BT");
}
     mainDisplay.display();

          return;
          return;
            }